/*--------------------------------------------------*

Name: layout.css
Version: 1.7
Last Update: 2011-10-07
Author: Énhonlapom.hu

Chapters:	RESET
					LAYOUT
						HEADER SECTION
						MAIN CONTENT SECTION
						ASIDE SECTION
						FOOTER SECTION
						NAVIGATION SECTION
							HORIZONTAL NAVIGATION
							VERTICAL NAVIGATION
							PRODUCT NAVIGATION
							PAGINATION
						GRID SYSTEM
					GLOBAL LAYOUT CLASSES

*--------------------------------------------------*/

/*-------------------- $RESET --------------------*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre, a,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, var, b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}
article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
	display: block;
}
body {
	line-height: 1;
}
abbr[title], dfn[title] {
	border-bottom: 1px dotted;
	cursor: pointer;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
input, select {
	vertical-align: middle;
	outline: 0;
}

/*-------------------- $LAYOUT --------------------*/

html {
	min-height: 100%;
	position: relative;
}
body {
	width: 886px;
	min-height: 100%;
	margin: 60px auto 140px;
}

/*---------- $HEADER SECTION ----------*/

#main-header {
	width: 100%;
}
#inner-header {
	width: 100%;
	position: relative;
}

#lang-nav {
	position: absolute;
	top: -55px;
	right: 0;
}
	#lang-nav ul {
		padding: 0;
	}
	#lang-nav li {
		float: left;
		margin-left: 10px;
		list-style: none;
	}

#main-nav {
	width: 910px;
	height: 90px;
	padding: 0;
	position: absolute;
	top: -15px;
	left: -11px;
}

#search-box {
	height: 40px;
	text-align: right;
	padding: 75px 35px 0 0;
}
#search-box input {
	display: inline-block;
}
#search-box input[type="text"] {
	width: 170px;
	padding: 5px 10px;
	margin: 0;
	position: relative;
	right: -25px;
	text-align: right;
	border: 5px solid #fff;
	box-shadow: inset 0 1px 8px rgba(169,193,115,.82);
}
#search-box input[type="submit"] {
	width: 65px;
	height: 30px;
	margin: 0;
	padding: 0 10px 0 20px;
	border: none;
	border-radius: 20px;
	background: url('../images/search-button.png') 30px center no-repeat #79ae1e;
	text-indent: -9999em;
	cursor: pointer;
}

#title {
	height: 135px;
	margin: -20px 0 10px;
}
#logo {
	padding: 0 0 0 20px;
	float: left;
}
#title hgroup {
	padding: 40px 0 0 20px;
	float: left;
}

#header-newsletter {
	width: 250px;
	position: absolute;
	top: 130px;
	right: -25px;
	z-index: 20;
	background: url('../images/newsletter-bg.png') right top no-repeat;
}
#header-newsletter a {
	width: 110px;
	height: 65px;
	margin: 65px 0 15px 95px;
	display: block;
	text-indent: -9999em;
}
#header-newsletter h3 {
	display: none;
}
#header-newsletter .newsletter {
	width: 170px;
	padding: 18px 10px 7px;
	position: relative;
	z-index: 20;
}
#header-newsletter .newsletter:before {
	width: 25px;
	height: 25px;
	position: absolute;
	top: -13px;
	left: 50%;
	content: "";
	background: #fff;
	border: 1px solid #80817b;
	border-right: none;
	border-bottom: none;
	box-shadow: inset 0 0 1px 1px rgba(255,255,255,.75);
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
	transform: rotate(45deg);
}
#header-newsletter input[type="text"] {
	height: 20px;
	padding: 4px 8px;
}

#header-services {
	height: 275px;
}

/*---------- $MAIN CONTENT SECTION ----------*/

#content {
	width: 100%;
}

#top-content {
	padding: 20px 20px 0;
}

#main-content {
	/* Main content - The site.js setup the value of the width */
	margin: 0;
	padding: 20px;
	float: left;
}

/*---------- $ASIDE SECTION ----------*/

#leftside {
	float: left;
	width: 260px;
	margin: 0;
	padding: 20px 0 20px 20px;
}
.aside nav, .aside section {
	margin-bottom: 20px;
}

#rightside {
	float: right;
	width: 260px;
	margin: 0;
	padding: 20px 20px 20px 0;
}

/*---------- $FOOTER SECTION ----------*/

#main-footer {
	width: 100%;
}
	#inner-footer {
		width: 100%;
	}
		
		/* $FOOTER TOP */
		#footer-top {}
		
			#footer-banner {
				width: 890px;
				height: auto;
				position: relative;
				left: -2px;
				z-index: 1;
				background: #588313;
				border-radius: 5px;
				text-align: center;
			}
			#footer-nav ul {
				margin: 0;
				padding: 0;
				text-align: center;
			}
				#footer-nav li {
					display: inline;
					list-style: none;
				}
				#footer-nav a {
					display: inline-block;
					padding: 10px;
				}

		/* $FOOTER BOTTOM */
		#footer-bottom {
			width: 890px;
			overflow: hidden;
			position: absolute;
			bottom: 0;
		}
			#footer-partners {
				width: 100%;
				height: 70px;
				margin-bottom: 10px;
			}
			#footer-partners img {
				margin: 0 1% 0 0;
			}
			#copyright {
				float: left;
			}
			#createdby {
				float: right;
			}

/*---------- $NAVIGATION SECTION ----------*/

/* $HORIZONTAL NAVIGATION */

/* Level1 */
		
.h-nav-level1 {
	margin: 0;
	padding: 25px 0 0;
	text-align: center; /* Navigation position - Value: left, center, right */
}
.h-nav-level1 li {
	margin-left: -5px;
	padding: 0;
	display: inline;
	position: relative;
	list-style: none;
}
.h-nav-level1 li:first-child {
	margin-left: 0;
}
.h-nav-level1 li a {
	/*width: 99px; /* Fix navigation elements */
	margin: 0 2px;
	padding: 10px; /* Space between navigation elements */
	display: inline-block;
	position: relative;
}
.h-nav-level1 li a:before {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	content: "";
}
		
/* Level2 */
		
.h-nav-level2, .h-nav-level3 {
	width: 200px;
	margin: 0;
	padding: 0;
	display: none;
	position: absolute;
	top: 27px; /* Font height + padding-bottom + 1 */
	left: 0;
	z-index: 10;
	text-align: left; /* Navigation level 2 text position */
}
.h-nav-level2 li {
	margin-left: 0;
	padding: 0;
	display: block;
}
.h-nav-level2 li a {
	width: 180px;
	display: block;
}
		
/* Level3 */
		
.h-nav-level3 {
	top: 0;
	left: 200px;
}

/* $VERTICAL NAVIGATION */

/* Level1 */
		
.v-nav-level1 {
	width: 100%;
	margin: 0;
	padding: 2px 0;
	text-align: left; /* Navigation position - Value: left, center, right */
}
.v-nav-level1 li {
	padding: 0;
	display: block;
	position: relative;
}
.v-nav-level1 li a {
	padding: 10px; /* Space between navigation elements */
	margin: 1px 8px;
	display: block;
	position: relative;
}
.v-nav-level1 li a:before {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	content: "";
}

/* Level2 & Level3 */

.v-nav-level2, .v-nav-level3 {
	width: 200px;
	padding: 0;
	position: absolute;
	top: 0;
	left: 200px;
	display: none;
	text-align: left;
	z-index: 10;
}
	
/* Right navigation */

.v-nav-right {
	left: -200px;
}

/* $PRODUCT NAVIGATION */

#product-nav, #product-nav li ul {
	display: block;
	margin: 0;
	padding: 0;
	list-style: none;
}
#product-nav li {
	margin-top: 1px;
}
#product-nav li a {
	display: block;
	padding: 5px 10px;
}
#product-nav li ul li a {
	display: block;
}

/* $PAGINATION */

.pagination {
	clear: both;
}

/*---------- $GRID SYSTEM ----------*/

.no-column {
	margin-bottom: 20px;
}
.col	{
	float: left;
	margin: 0 0 20px;
	padding: 0 10px;
}
.col-left {
	margin-left: 0;
	padding-left: 0;
}
.col-right {
	margin-right: 0;
	padding-right: 0;
}
.col2	{  } /* 2 column size - The site.js setup the value of the width */
.col3	{  } /* 3 column size - The site.js setup the value of the width */

/*-------------------- $GLOBAL LAYOUT CLASSES --------------------*/

.block {
	display: block;
}
.clearfix {
	display: block;
}
.clearfix:after {
  height: 0;
	display: block;
	content: "";
  clear: both;
  visibility: hidden;
  overflow: hidden;
}
.clear {
	clear: both;
}
.alignleft	{
	float: left;
}
.alignright {
	float: right;
}
.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}